Bullet Collision Detection & Physics Library: btCollisionConfiguration Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btCollisionConfiguration Class Referenceabstract

btCollisionConfiguration allows to configure Bullet collision detection stack allocator size, default collision algorithms and persistent manifold pool size More...

`#include <btCollisionConfiguration.h>`

Inheritance diagram for btCollisionConfiguration:
[legend]

## Public Member Functions
virtual | ~btCollisionConfiguration ()
virtual btPoolAllocator * | getPersistentManifoldPool ()=0
| memory pools
virtual btPoolAllocator * | getCollisionAlgorithmPool ()=0
virtual btCollisionAlgorithmCreateFunc * | getCollisionAlgorithmCreateFunc (int proxyType0, int proxyType1)=0
virtual btCollisionAlgorithmCreateFunc * | getClosestPointsAlgorithmCreateFunc (int proxyType0, int proxyType1)=0

## Detailed Description

btCollisionConfiguration allows to configure Bullet collision detection stack allocator size, default collision algorithms and persistent manifold pool size

Definition at line 26 of file btCollisionConfiguration.h.

## Constructor & Destructor Documentation

## ◆ ~btCollisionConfiguration()

virtual btCollisionConfiguration::~btCollisionConfiguration | ( |  | ) |
| inlinevirtual

Definition at line 29 of file btCollisionConfiguration.h.

## Member Function Documentation

## ◆ getClosestPointsAlgorithmCreateFunc()

virtual btCollisionAlgorithmCreateFunc * btCollisionConfiguration::getClosestPointsAlgorithmCreateFunc | ( | int | proxyType0,
|  | int | proxyType1 )
| pure virtual

Implemented in btDefaultCollisionConfiguration.

## ◆ getCollisionAlgorithmCreateFunc()

virtual btCollisionAlgorithmCreateFunc * btCollisionConfiguration::getCollisionAlgorithmCreateFunc | ( | int | proxyType0,
|  | int | proxyType1 )
| pure virtual

Implemented in btDefaultCollisionConfiguration, and btSoftBodyRigidBodyCollisionConfiguration.

## ◆ getCollisionAlgorithmPool()

virtual btPoolAllocator * btCollisionConfiguration::getCollisionAlgorithmPool | ( |  | ) |
| pure virtual

Implemented in btDefaultCollisionConfiguration.

## ◆ getPersistentManifoldPool()

virtual btPoolAllocator * btCollisionConfiguration::getPersistentManifoldPool | ( |  | ) |
| pure virtual

memory pools

Implemented in btDefaultCollisionConfiguration.

The documentation for this class was generated from the following file:

- btCollisionConfiguration.h